> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt
> Use this file to discover all available pages before exploring further.

# Import statement

> Store pending normalized source lines or import a Mercado Pago release report. Signed amounts and balances are native integer cents. Check continuity and the complete balance chain; no accounting records are created.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/statements
openapi: 3.1.0
info:
  title: La Pyme API
  description: >-
    Resources and workflows for purchases, sales, inventory, contacts, products,
    reports, and settings.
  version: 1.0.0
  contact:
    name: La Pyme Support
    email: hola@lapyme.com.ar
  license:
    name: Proprietary
    url: https://lapyme.com.ar/terminos
servers:
  - url: https://api.lapyme.com.ar
    description: Servidor de producción
security:
  - bearerAuth: []
tags:
  - name: API
    description: Public API operations for La Pyme integrations.
paths:
  /api/v1/statements:
    post:
      tags:
        - API
      summary: Import statement
      description: >-
        Store pending normalized source lines or import a Mercado Pago release
        report. Signed amounts and balances are native integer cents. Check
        continuity and the complete balance chain; no accounting records are
        created.
      operationId: createApiStatement
      parameters:
        - name: Idempotency-Key
          in: header
          description: Clave estable para deduplicar reintentos de la misma operación.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    bank_account_id:
                      type: string
                      format: uuid
                    period_start:
                      type: string
                      format: date
                    period_end:
                      type: string
                      format: date
                    opening_balance:
                      type: integer
                    closing_balance:
                      type: integer
                    lines:
                      maxItems: 20000
                      type: array
                      items:
                        type: object
                        properties:
                          external_id:
                            type: string
                            minLength: 1
                            maxLength: 255
                          date:
                            type: string
                            format: date
                          description:
                            type: string
                            minLength: 1
                            maxLength: 2000
                          amount:
                            type: integer
                          reference:
                            anyOf:
                              - type: string
                                maxLength: 500
                              - type: 'null'
                          running_balance:
                            anyOf:
                              - type: integer
                              - type: 'null'
                        required:
                          - external_id
                          - date
                          - description
                          - amount
                        additionalProperties: false
                    source:
                      default: normalized
                      type: string
                      const: normalized
                  required:
                    - bank_account_id
                    - period_start
                    - period_end
                    - opening_balance
                    - closing_balance
                    - lines
                  additionalProperties: false
                - type: object
                  properties:
                    source:
                      type: string
                      const: mercadopago_release
                    bank_account_id:
                      type: string
                      format: uuid
                    period_start:
                      type: string
                      format: date
                    period_end:
                      type: string
                      format: date
                  required:
                    - source
                    - bank_account_id
                    - period_start
                    - period_end
                  additionalProperties: false
      responses:
        '201':
          description: Statement result or immutable replay
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSharedObject11052f1fc2'
        '400':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '401':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '403':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '404':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '409':
          description: Idempotency or statement state conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Idempotency or statement state conflict
                      retryable: false
                      details: []
        '422':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '429':
          description: Statement request could not be completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
        '503':
          description: >-
            Statement request could not be completed Verificación de
            credenciales temporalmente ocupada; reintentá sin cambiar la
            operación ni su Idempotency-Key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
              examples:
                default:
                  summary: INVALID_REQUEST
                  value:
                    request_id: req_error_1
                    error:
                      type: invalid_request_error
                      code: INVALID_REQUEST
                      message: Statement request could not be completed
                      retryable: false
                      details: []
                authentication_capacity:
                  summary: Verificación temporalmente ocupada
                  value:
                    request_id: req_auth_capacity_1
                    error:
                      type: api_error
                      code: INTERNAL_ERROR
                      message: >-
                        La verificación de credenciales está ocupada. Reintentá
                        más tarde.
                      retryable: true
                      details: []
          headers:
            Retry-After:
              description: >-
                Segundos de espera. La verificación de credenciales indica 1;
                otras dependencias pueden indicar otro valor.
              schema:
                type: string
                example: '1'
            Cache-Control:
              description: La verificación de credenciales indica no-store.
              schema:
                type: string
                example: no-store
components:
  schemas:
    ApiSharedObject11052f1fc2:
      type: object
      required:
        - request_id
        - data
      properties:
        request_id:
          type: string
        data:
          $ref: '#/components/schemas/ApiSharedObjectadb8c61c7c'
    ApiErrorEnvelope:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - api_error
                - authentication_error
                - authorization_error
                - business_error
                - external_dependency_error
                - idempotency_error
                - invalid_request_error
                - rate_limit_error
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  code:
                    type: string
                  message:
                    type: string
                  metadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type:
                        - string
                        - number
                        - boolean
                        - 'null'
                required:
                  - code
                  - message
                additionalProperties: false
          required:
            - type
            - code
            - message
            - retryable
            - details
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
    ApiSharedObjectadb8c61c7c:
      type: object
      properties:
        object:
          type: string
          const: statement
        id:
          type: string
          format: uuid
        bank_account_id:
          type: string
          format: uuid
        period_start:
          type: string
          format: date
        period_end:
          type: string
          format: date
        opening_balance:
          type: integer
        closing_balance:
          type: integer
        currency:
          $ref: '#/components/schemas/ApiSharedEnumffb4886f2b'
        source:
          $ref: '#/components/schemas/ApiSharedEnum6527b55801'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - bank_account_id
        - period_start
        - period_end
        - opening_balance
        - closing_balance
        - currency
        - source
        - created_at
        - updated_at
      additionalProperties: false
    ApiSharedEnumffb4886f2b:
      type: string
      enum:
        - ARS
        - USD
    ApiSharedEnum6527b55801:
      type: string
      enum:
        - spreadsheet
        - normalized
        - mercadopago_release
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Incluí tu API key en el header Authorization con el prefijo Bearer.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.